## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate szip

Name:           rust-szip
Version:        1.0.0
Release:        %autorelease
Summary:        Fast command line tool for snappy compression and decompression

License:        BSD-3-Clause
URL:            https://crates.io/crates/szip
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A fast command line tool for snappy compression and decompression.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# BSD-3-Clause
# MIT
# MIT OR Apache-2.0
License:        BSD-3-Clause AND MIT AND (MIT OR Apache-2.0)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license COPYING
%license LICENSE.dependencies
%doc README.md
%{_bindir}/szip
%{_mandir}/man1/szip.1*

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'help2man'

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
help2man --no-info --output=szip.1 target/rpm/szip

%install
%cargo_install
install -t %{buildroot}%{_mandir}/man1 -D -p -m 0644 szip.1

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.0-6
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Sat Mar 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.0-5
- Use rust2rpm 26 features to reduce manual packaging effort

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 05 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.0-3
- Rebuilt for rust-snap 1.1.1

* Tue Dec 05 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.0-2
- Rebuilt for rust-snap 1.1.1

* Mon Nov 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.0-1
- Initial package (close RHBZ#2249520)
## END: Generated by rpmautospec
